@import "mixins";
/* TYPOGRAPHY -------------------------------------------------------------- */

/* Project fonts */

@include font-face(HelveticaBdCn, '../fonts/Helvetica_Neue/HelveticaNeueLTStd-BdCn');
@include font-face(HelveticaCn, '../fonts/Helvetica_Neue/HelveticaNeueLTStd-Cn');
@include font-face(HelveticaLt, '../fonts/Helvetica_Neue/HelveticaNeueLTStd-Lt');
@include font-face(HelveticaLtCn, '../fonts/Helvetica_Neue/HelveticaNeueLTStd-LtCn');

$font-HelveticaBoldCn: 'HelveticaBdCn';
$font-HelveticaCn: 'HelveticaCn';
$font-HelveticaLt: 'HelveticaLt';
$font-HelveticaLtCn: 'HelveticaLtCn';

/* FONTS ------------------------------------------------------------------- */

/*
 * Sans serif fonts
 */
$font-family-base: $font-HelveticaLtCn, Helvetica, Arial, sans-serif;

/*
 * Serif fonts
 */
$font-family-serif: Georgia, serif;

/*
 * Monospace fonts
 */
$font-family-monospace: Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;

/*
 * Font size and weight.
 */
// Assumes the browser default, typically `16px`
$font-size-base: 1.125rem; // ~ 18px
$font-size-lg: 1.25rem; // ~ 20px
$font-size-sm: 1rem; // ~ 16px
$font-size-xs: .875rem; // ~ 14px

$font-size-h1: 4rem; // ~ 64px
$font-size-h2: 2.5rem; // ~ 40px
$font-size-h3: 1.75rem; // ~ 28px
$font-size-h4: 1.5rem; // ~ 24px
$font-size-h5: 1.25rem; // ~ 20px
$font-size-h6: 1rem; //16px

/*
 * Font weight
 */
$font-weight-normal: normal;
$font-weight-bold: bold;
$font-weight-base: $font-weight-normal;
$line-height-base: 1;

//line-height
$line-height-large: 2.375rem; // ~ 38px
$line-height-medium: 1.75rem; // ~ 28px
$line-height-small: 1.375rem; // ~ 22px

body{
    font-family: $font-family-base;
}

h1{
    font-family:$font-HelveticaBoldCn;
    font-size:$font-size-h1;
}

h2{
    font-size:$font-size-h2;
}

h3{
    font-family:$font-HelveticaBoldCn;
    font-size:$font-size-h3;
}

h4{
    font-family:$font-HelveticaBoldCn;
    font-size:$font-size-h4;
}


